/**
 * CONNECTION API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { UserRoleDto } from './userRoleDto';
import { AgencyDto } from './agencyDto';
import { AuthenticationTokenDto } from './authenticationTokenDto';


export interface UserDto { 
    ID?: number;
    LastName?: string | null;
    FirstName?: string | null;
    Email?: string | null;
    Password?: string | null;
    FullName?: string | null;
    AccessToken?: string | null;
    AgencyID?: number;
    Agency?: AgencyDto;
    UserRoles?: Array<UserRoleDto> | null;
    AuthenticationTokens?: Array<AuthenticationTokenDto> | null;
    IsArchive?: boolean;
    IsActive?: boolean;
    LoginToken?: string | null;
}

